The defined type `mq_install::fixoack` allows you to install specified fixpacks on your system. The fixpacks will be added on top of your software installation managed by [`ora_install::software`](./software).

The simples way to use it is:

``` puppet
mq_install::fixpack{'9.1.0.1':
  source_locaation => '/nfs_share/software'
}
```
Based on this puppet code, puppet will install fixpack 9.1.0.1. Because the installation of the fixpack requires all MQ processes to be stopped, this code will stop **ALL** MQ managers when it finds it needs to install the fixpack. 

When the `mq_install::fixpack' is part of a larger set of Puppet code also managing MQ managers and queue's, that definition will restart the required MQ queue masnagers.

<%- include_attributes [
  :title,
  :source_location,
  :tmp_dir,
  :logoutput
]%>
