#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get all installed MQ packages in windows version.
#
Facter.add(:mq_installed_components) do
  confine :kernel => 'windows'
  setcode do
    if Facter.value(:mq_version) == 'not-installed'
      []
    else
      output = Facter::Util::Resolution.exec('reg query HKLM\\Software\\Ibm\\MQSeries\\CurrentVersion\\Components')
      output.split("\n").collect { |r| r.split[0] }[1, 99]
    end
  end
end
