#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get all installed MQ packages in linux version.
#
Facter.add(:mq_installed_rpms) do
  confine :kernel => 'Linux'
  setcode do
    output = `rpm -qa | grep MQSeries`
    output.scan(/(MQSeries.*?)-/).flatten.uniq
  end
end
